@import '../../../../assets/styles/common.scss';

.dialog-wrapper-container {
    height: auto;

    &.mdl-dialog {
        width: 90%;
        padding: 0px;

        .mdl-dialog__title {
            padding: 10px;
            background-color: rgba($bgColor, 0.15);
            display: flex;
            justify-content: space-between;
            align-items: center;
            color: rgba(#2F4F4F, 0.75);
            padding-left: 25px;
            font-size: 20px;
            font-weight: bold;
            text-transform: uppercase;
        }

        .mdl-dialog__actions {
            padding: 0px;
            align-self: flex-start;
        }
    }

    &-close-button {

        &.mdl-button--icon {
            width: 24px;
            height: 24px;
            padding: 8px;
            min-width: 24px;
            color: darken($bgColor, 25); 
        }
    }
}

@media screen and (max-width: 768px) {
    .dialog-wrapper-container {
        &.mdl-dialog {
            padding: 0px;
    
            .mdl-dialog__title {
                padding: .5rem;
                padding-left: 1.5rem;
                font-size: 1.4rem;
                line-height: 1.45;
            }   
            .mdl-button--icon {
                font-size: 1.4rem;
                padding: .5rem;
            }
            .mdl-dialog__content {
                padding: 1.4rem;
            }
        }
    
    }
}

@media screen and (max-width: 400px) {
    .dialog-wrapper-container {
        &.mdl-dialog {
            width: 300px;
        }
    }
}